import { ComponentRef } from '@angular/core';
import { ContentRef } from './popup';
import { BsModalWindowComponent } from './bs-modal-window';
import { BsModalBackdropComponent } from './bs-modal-backdrop';
export declare class BsModalRef {
    private _windowCmptRef;
    private _contentRef;
    private _backdropCmptRef;
    /**
     * A promise that is resolved when a modal is closed and rejected when a modal is dismissed.
     */
    result: Promise<any>;
    private _resolve;
    private _reject;
    constructor(_windowCmptRef: ComponentRef<BsModalWindowComponent>, _contentRef: ContentRef, _backdropCmptRef?: ComponentRef<BsModalBackdropComponent>);
    /**
     * The instance of component used as modal's content.
     * Undefined when a TemplateRef is used as modal's content.
     */
    componentInstance: any;
    /**
     * Can be used to close a modal, passing an optional result.
     */
    close(result?: any): void;
    /**
     * Can be used to dismiss a modal, passing an optional reason.
     */
    dismiss(reason?: any): void;
    private _removeModalElements();
}
