import { ComponentFactoryResolver, Injectable, Injector } from '@angular/core';
import { BsModalStack } from './bs-modal-stack';
var BsModal = (function () {
    function BsModal(_moduleCFR, _injector, _modalStack) {
        this._moduleCFR = _moduleCFR;
        this._injector = _injector;
        this._modalStack = _modalStack;
    }
    /**
     * Opens a new modal window with the specified content and using supplied options. Content can be provided
     * as a TemplateRef or a component type. If you pass a component type as content than instances of those
     * components can be injected with an instance of the NgbActiveModal class. You can use methods on the
     * NgbActiveModal class to close / dismiss modals from "inside" of a component.
     */
    BsModal.prototype.open = function (content, options) {
        if (options === void 0) { options = {}; }
        return this._modalStack.open(this._moduleCFR, this._injector, content, options);
    };
    return BsModal;
}());
export { BsModal };
BsModal.decorators = [
    { type: Injectable },
];
/** @nocollapse */
BsModal.ctorParameters = function () { return [
    { type: ComponentFactoryResolver, },
    { type: Injector, },
    { type: BsModalStack, },
]; };
//# sourceMappingURL=bs-modal.js.map